CREATE TABLE hwr_per_prfl_sync (
    PRFL_ID                     VARCHAR2(2000),
    SOURCE_ID                   NUMBER(18, 0) ,
    AUTH_TOKEN                  VARCHAR2(4000),
    REFRESH_TOKEN               VARCHAR2(4000),
    TOKEN_TYPE                  VARCHAR2(3200),
    AUTH_SECRET                 VARCHAR2(3200),
    AUTH_EXPIRATION_DATE        TIMESTAMP(6)  ,
    STATE_DATA                  VARCHAR2(4000),
    META_DATA                   VARCHAR2(4000),
    STATE                       NUMBER        ,
    LAST_DWNLD_DT_PRFL_CORE     TIMESTAMP(6)  ,
    LAST_DWNLD_DT_PRFL_RLTNS    TIMESTAMP(6)  ,
    LAST_DWNLD_DT_PRFL_POSTS    TIMESTAMP(6)  ,
    GBL_PRFL_ID                 NUMBER(18, 0) ,
    LINKED_PRFL_ID              VARCHAR2(2000),
    LINKED_SOURCE_ID            NUMBER(18, 0) ,
    HWR_SHARING_ENABLED         NUMBER(18, 0)     NOT NULL,
    HHR_SHARING_ENABLED         NUMBER(18, 0)     NOT NULL,
    EHW_SHARING_ENABLED         NUMBER(18, 0)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    PRFL_ID                     VARCHAR2(2000),
    SOURCE_ID                   NUMBER(18, 0) ,
    AUTH_TOKEN                  VARCHAR2(4000),
    AUTH_SECRET                 VARCHAR2(3200),
    AUTH_EXPIRATION_DATE        TIMESTAMP(6)  ,
    STATE_DATA                  VARCHAR2(4000),
    META_DATA                   VARCHAR2(4000),
    STATE                       NUMBER        ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    LAST_DWNLD_DT_PRFL_CORE     TIMESTAMP(6)  ,
    LAST_DWNLD_DT_PRFL_RLTNS    TIMESTAMP(6)  ,
    LAST_DWNLD_DT_PRFL_POSTS    TIMESTAMP(6)  ,
    GBL_PRFL_ID                 NUMBER(18, 0) ,
    LINKED_PRFL_ID              VARCHAR2(2000),
    LINKED_SOURCE_ID            NUMBER(18, 0) ,
    REFRESH_TOKEN               VARCHAR2(4000),
    TOKEN_TYPE                  VARCHAR2(3200),
    HWR_SHARING_ENABLED         NUMBER(18, 0)     NOT NULL,
    HHR_SHARING_ENABLED         NUMBER(18, 0)     NOT NULL,
    EHW_SHARING_ENABLED         NUMBER(18, 0)     NOT NULL,
    CONSTRAINT pk_hwr_per_prfl_sync PRIMARY KEY (PRFL_ID, SOURCE_ID, PRFL_ID, SOURCE_ID)
);
